Index: trunk/admin/modules/Elezioni/ele_riepilogovoti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 254)
+++ trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 257)
@@ -14,7 +14,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -26,8 +25,12 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<16 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
-$res = mysql_query("SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
-	list($genere,$votog,$votol) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($genere,$votog,$votol) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -47,28 +50,32 @@
 
 if($genere!=0){	
-	$res = mysql_query("SELECT t1.id_gruppo,sum(t1.voti),sum(t1.solo_gruppo) FROM ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' group by t1.id_gruppo order by t2.num_gruppo", $dbi);
+	$sql="SELECT t1.id_gruppo,sum(t1.voti),sum(t1.solo_gruppo) FROM ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' group by t1.id_gruppo order by t2.num_gruppo";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
 	####################### inserimento scrutinio in percentuale -- per i gruppi
-	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'",$dbi);
-	$NicolaSezScrut = mysql_fetch_row($NicolaSez);
-	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'",$dbi);
-	$NicolaSezTot = mysql_fetch_row($NicolaSez);
 	
-		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
-		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
-		list($totschede)=mysql_fetch_row($resperc);
-		if($totschede)
+	$sql="select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$resperc = $dbi->prepare("$sql");
+	$resperc->execute();	
+	list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
+	$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ";
+	$resperc = $dbi->prepare("$sql");
+	$resperc->execute();	
+	list($totschede)=$resperc->fetch(PDO::FETCH_NUM);
+	if($totschede)
 		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
-		else $grpercscru=0;
+	else $grpercscru=0;
 
 ################# calcolo voti di lista espressi
-         $resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+	$sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$resperc = $dbi->prepare("$sql");
+	$resperc->execute();	
+	list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
 
-		if($totschede)
+	if($totschede)
 		$listpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
-		else $listpercscru=0;
-		$listtotschede=$totschede;
-		$listtotvoti=($scruvalidi+$scrunulli);
+	else $listpercscru=0;
+	$listtotschede=$totschede;
+	$listtotvoti=($scruvalidi+$scrunulli);
 
 #################
@@ -77,18 +84,24 @@
 	echo "<tr align=\"middle\"><td><b>Candidato Uninominale</b></td><td><b>Voti</b></td><td><b>Al solo</br>Candidato Uninominale</b></td><td><b>Lista</br>Collegata</b></td><td><b>Voti alla lista</b></td></tr>";
 	$totl=0;$totg=0;$totsg=0;
-	while(list($id_gruppo,$votigruppo,$sologruppo)=mysql_fetch_row($res))
+	while(list($id_gruppo,$votigruppo,$sologruppo)=$res->fetch(PDO::FETCH_NUM))
 	{
 		$totg+=$votigruppo; $totsg+=$sologruppo;
-		$resl = mysql_query("SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' group by id_lista order by num_lista", $dbi);
-		$numliste=mysql_num_rows($resl);
-		$resg2 = mysql_query("SELECT num_gruppo,descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-		list($num_gruppo,$descrg)=mysql_fetch_row($resg2);
+		$sql="SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' group by id_lista order by num_lista";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();	
+		$numliste=$resl->fetch(PDO::FETCH_NUM);
+		$sql="SELECT num_gruppo,descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();	
+		list($num_gruppo,$descrg)=$resg2->fetch(PDO::FETCH_NUM);
 
 		echo "<tr><td rowspan=\"$numliste\">$descrg</td><td rowspan=\"$numliste\" align=\"right\"><h2>".number_format($votigruppo,0,',','.')."</h2></td><td rowspan=\"$numliste\" align=\"right\"><h2>".number_format($sologruppo,0,',','.')."</h2></td>";
 		$currlst=0;
-		while (list($id_lista,$num_lista,$descrl)=mysql_fetch_row($resl))
+		while (list($id_lista,$num_lista,$descrl)=$resl->fetch(PDO::FETCH_NUM))
 		{
-			$resl2 = mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista'", $dbi);
-			list($votilista)=mysql_fetch_row($resl2);
+			$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista'";
+			$resl2 = $dbi->prepare("$sql");
+			$resl2->execute();	
+			list($votilista)=$resl2->fetch(PDO::FETCH_NUM);
 			if($currlst) echo "<tr>"; else $currlst++;
 			$totl+=$votilista;
